Summary: Free Japanese TrueType fonts (mincho & gothic)
%define name xtt-fonts
%define version 0.19990222
%define release 7
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: Distributable
Group: User Interface/X
Source0: http://www.debian.or.jp/debian-jp/dists/potato-jp/main/source/x11/xtt-fonts_0.19990222-5.tar.gz
Source1: fonts.scale
BuildArch: noarch
BuildRoot: /var/tmp/%{name}-%{version}-root
Summary(ja): ե꡼ܸ TrueType ե (īȥå)
Buildrequires: VFlib2
Prereq: chkfontpath

%description
This Package provides Free Japanese TrueType fonts (Watanabe mincho &
Wada Lab. gothic) and fonts.{dir,aliases} for X-TT
Including ttindex files for VFlib

%description -l ja
ӻ(ishikawa@linux.or.jp)ե꡼δեȤǤī
ĸѥåפcb2ttjˤäTrueTypeեȤˤ
VFlibѤttindexեդޤ

%prep
rm -rf $RPM_BUILD_ROOT
%setup

%build
ttindex watanabe-mincho
ttindex wadalab-gothic

%install
install -d $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/TrueType/
install -m 0644 *.{ttf,tti} $RPM_SOURCE_DIR/fonts.scale \
           $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/TrueType/

%post
# to work around broken xfs startup script
/usr/X11R6/bin/mkfontdir -e /usr/X11R6/lib/X11/fonts/encodings \
                         -e /usr/X11R6/lib/X11/fonts/encodings/large \
			 /usr/X11R6/lib/X11/fonts/TrueType
/usr/sbin/chkfontpath -q -a /usr/X11R6/lib/X11/fonts/TrueType

%postun
rm -f /usr/X11R6/lib/X11/fonts/TrueType/{fonts.dir,encodings.dir}
if [ "$1" = "0" ]; then
	/usr/sbin/chkfontpath -q -r /usr/X11R6/lib/X11/fonts/TrueType
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc *README* fonts.* debian/{changelog,copyright}
%dir /usr/X11R6/lib/X11/fonts/TrueType
%config /usr/X11R6/lib/X11/fonts/TrueType/fonts.scale
/usr/X11R6/lib/X11/fonts/TrueType/watanabe-mincho.ttf
/usr/X11R6/lib/X11/fonts/TrueType/wadalab-gothic.ttf
/usr/X11R6/lib/X11/fonts/TrueType/watanabe-mincho.tti
/usr/X11R6/lib/X11/fonts/TrueType/wadalab-gothic.tti

%changelog
* Fri Sep  1 2000 ISHIKAWA Mutsumi <ishikawa@redhat.com>
- add fonts.scale and remove fonts.dir and encodings.dir
- fix font names

* Thu Aug 31 2000 ISHIKAWA Mutsumi <ishikawa@redhat.com>
- New upstream version
- adopt RedHat 7.0 (XFree86 4.0.1)

* Wed Mar 15 2000 Matt Wilson <msw@redhat.com>
- touch fonts.dir so we don't get blown away on xfs restart

* Sun Mar  5 2000 Chris Ding <cding@redhat.com>
- changed group

* Thu Oct 21 1999 Matt Wilson <msw@redhat.com>
- modified to work with xfstt encoding scheme

* Tue Oct 12 1999 Matt Wilson <msw@redhat.com>
- built against 6.1
- removed bogus %pre script that moved /usr/X11R6/lib/X11/fonts/truetype
  to /usr/X11R6/lib/X11/fonts/TrueType
- added chkfontpath support

* Tue Aug 03 1999 Atsushi Yamagata <yamagata@plathome.co.jp>
- built against RHL-6.0/i386
- added %defattr(-, root, root) at %files

* Wed Mar 31 1999 iNOUE Koich! <inoue@ma.ns.musashi-tech.ac.jp>
  chage TrueType fonts' directory name from truetype to TrueType

* Wed Feb 24 1999 iNOUE Koich! <inoue@ma.ns.musashi-tech.ac.jp>
- [0.19990222]

* Thu Feb 18 1999 iNOUE Koich! <inoue@ma.ns.musashi-tech.ac.jp>
- make suitable fonts.dir/fonts.alias

* Thu Dec 24 1998 INOUE Koichi <inoue@ma.ns.musashi-tech.ac.jp>
- stop addinf FontPath to XF86Config

* Thu Dec 17 1998 INOUE Koichi <inoue@ma.ns.musashi-tech.ac.jp>
- add buildarch tag

* Sat Dec 12 1998 INOUE Koichi <inoue@ma.ns.musashi-tech.ac.jp>
- including ttindex files

* Thu Dec 10 1998 INOUE Koichi <inoue@ma.ns.musashi-tech.ac.jp>
- First Build
